API

Update mobile app settings

POST/api/crm/v2/mobile_apps_settings.updatev2
operationId: mobileAppsSettings.update

Saves mobile app settings. Background image and logos are uploaded as multipart.

Authorization

api-token + language + role

Query parameters

branch_idintegerrequired

Example: 1

Request body multipart/form-data

object

If auto_change is disabled, theme_default is required; otherwise, theme_day and theme_night are required

apps_noticestringrequired

Example: Hello World

templatestringrequired

Values:side_menubottom_menu

mobile_apps_titlestringrequired

Example: Pizza

mobile_apps_subtitlestring

Example: Pizza

mobile_apps_icon_namestringrequired

Example: icon1

mobile_apps_keywordsstringrequired

Example: delivery,online,order,pizza,sushi,rolls,snacks,salads,sets

mobile_apps_short_descriptionstringrequired

Example: We are here to make your day better

mobile_apps_full_descriptionstringrequired

Example: Use the application to order food: pick your dishes, pay online and get them delivered to your door in a few clicks

update_metadataboolean

Example: true

update_screenshotsboolean

Example: true

ios_force_update_enabledboolean

Example: true

marketer_reviewedboolean

Example: true

auto_changeboolean

Example: true

designer_reviewedboolean

Example: true

special_offers_separate_sectionboolean

Example: true

special_offers_title_in_catalogboolean

Example: true

bottom_menu_icons_and_titles_boldboolean

Only if template = bottom_menu

Example: true

bottom_menu_titles_showboolean

Only if template = bottom_menu

Example: true

side_menu_icons_and_titles_boldboolean

Only if template = side_menu

Example: true

side_menu_background_colorstring

Only if template = side_menu

Example: C51162

side_menu_icons_and_titles_colorstring

Only if template = side_menu

Example: C51162

catalog_items_in_two_columnsboolean

Example: true

catalog_horizontal_categoriesboolean

Example: true

catalog_items_animation_on_tap_enabledboolean

Play product image animation only after tapping on them

Example: true

special_offers_animation_on_tap_enabledboolean

Play special offer image animation only after tapping on them

Example: true

theme_defaultstring (ThemeDefault)

Possible values: light, bright, blue, dark

Values:lightbrightbluedark

Example: light

theme_daystring

Values:lightbright

Example: light

theme_nightstring

Values:bluedark

Example: dark

main_colorstringrequired

Example: C51162

catalog_items_image_ratiostringrequired

Values:5:230:191:14:316:9

Example: 5:2

catalog_items_max_rows_descriptionintegerrequired

Example: 3

background_image_linkstring

Only if template = side_menu: URL of the selected image from the gallery

Example: https://cdn.foodsoul.test/backgrounds/mobile_apps/0f8bb6781f04a1cb0e231bd06356b86c.jpg

background_imagestring · binary

Only if template = side_menu; size from 1 to 1536 × from 1 to 2048 pixels

radius_blurinteger

Only if template = side_menu

Example: 0

logostring · binary

800 × 300 pixels

ios_iconstring · binary

1024 × 1024 pixels

watch_iconstring · binary

1024 × 1024 pixels

android_iconstring · binary

1024 × 1024 pixels

google_play_metadatastring · binary

1024 × 500 pixels

Responses

OK

object
statusstringrequired

Values:successerror

Example: success

dataobject
descriptionstring

Example: Successfully saved

logostring

Example: https://cdn.foodsoul.test/zones/ru/chains/7160/images/themes/mobile_apps/87c8980728da83d80e4f8a5f7dfa67c4.png?v1748430033

google_play_metadatastring

Example: https://cdn.foodsoul.test/zones/ru/chains/7160/images/meta_data/google_play.png?v1748430936

ios_iconstring

Example: https://cdn.foodsoul.test/zones/ru/chains/7160/images/icons/ios.png?v1748430936

watch_iconstring

Example: https://cdn.foodsoul.test/zones/ru/chains/7160/images/icons/watch.png?v1748430936

android_iconstring

Example: https://cdn.foodsoul.test/zones/ru/chains/7160/images/icons/android.png?v1748430936